<?php

/** mlbl_famines */

declare(strict_types=1);

use Fisharebest\Localization\Translation;
use Fisharebest\Webtrees\I18N;
use Fisharebest\Webtrees\Module\AbstractModule;
use Fisharebest\Webtrees\Module\ModuleCustomInterface;
use Fisharebest\Webtrees\Module\ModuleCustomTrait;
use Fisharebest\Webtrees\Module\ModuleHistoricEventsTrait;
use Fisharebest\Webtrees\Module\ModuleHistoricEventsInterface;
use Illuminate\Support\Collection;

/** Class mlbl_famines */
return new class extends AbstractModule implements ModuleCustomInterface, ModuleHistoricEventsInterface
{
	use ModuleCustomTrait;
	use ModuleHistoricEventsTrait;

	public function title(): string
	{return 'MaLiBeLe Famines';}

	public function description(): string
	{return "Liste des famines en France";}

	public function customModuleAuthorName(): string 
	{return 'Roland Bouat';}

	/** Date = version au format AAAA-MM-JJ de préférence */
	public function customModuleVersion(): string 
	{return '2023-09-08';} 

	/** URL du fichier texte contenant la référence de la dernière version */
	public function customModuleLatestVersionUrl(): string
	{return 'https://dekri.net/webtrees_histoire-derniere_version.txt';} 

	/** URL de l'éventuelle page d'aide et/ou de présentation */
	public function customModuleSupportUrl(): string 
	{return 'https://dekri.net/spip.php?article61';}


	/**
	 * Ce module doit-il être activé lors de sa première installation ?
	 * @return bool => false (conseillé) ou true
	 */
	public function isEnabledByDefault(): bool
	{return false;}

	/**
	 * Tous les événements fournis par ce module.
	 * @return Collection<int,string>
	 */
	public function historicEventsAll(): Collection
	{
	switch (I18N::languageTag()) {
		/** Langues utilisées */
		case 'fr':
        case 'fr-CA':
		return new Collection([
		/*# famines */
"1 EVEN Grands froids suivis de famine et d’épidémies en France\n2 TYPE Famine\n2 DATE FROM 974 TO 975\n2 NOTE Près d'un tiers de la population en France meurt (environ 2 millions de morts) \n3 CONT voir [Liste_de_famines](https://fr.wikipedia.org/wiki/Liste_de_famines)",
"1 EVEN Famine et peste en France\n2 TYPE Famine\n2 DATE 1097\n2 NOTE Environ 100 000 morts\n3 CONT voir [Liste_de_famines](https://fr.wikipedia.org/wiki/Liste_de_famines)",
"1 EVEN Famine en Languedoc\n2 TYPE Famine\n2 DATE 1528\n2 NOTE voir [Liste_de_famines](https://fr.wikipedia.org/wiki/Liste_de_famines)",
"1 EVEN Famine dans l’est de la France\n2 TYPE Famine\n2 DATE FROM 1650 TO 1652\n2 NOTE voir [Liste_de_famines](https://fr.wikipedia.org/wiki/Liste_de_famines)",
"1 EVEN Crise de l’avènement (famine)\n2 TYPE Famine\n2 DATE FROM 1661 TO 1662\n2 NOTE  Le Val de Loire, le Bassin parisien et la Normandie sont les provinces les plus touchées.\n3 CONT voir [Crise_de_l'avènement](https://fr.wikipedia.org/wiki/Crise_de_l'avènement)",
"1 EVEN Famine :  1 300 000 morts en plus de la mortalité normale.\n2 TYPE Famine\n2 DATE FROM 1693 TO 1694\n2 NOTE voir [Grande_famine_de_1693-1694](https://fr.wikipedia.org/wiki/Grande_famine_de_1693-1694)",
"1 EVEN Famine : 600 000 morts en plus de la mortalité normale (règne de Louis XIV).\n2 TYPE Famine\n2 DATE 1709\n2 NOTE voir [Grande_famine_de_1709 ](https://fr.wikipedia.org/wiki/Grande_famine_de_1709 )",

				]);

			default:
				return new Collection();
		}
	}
};
/** Bonne utilisation */